### Method

# FwupdPlugin Config load

#### Declaration [src]

    gboolean
    fu_config_load (
      FuConfig* self,
      FuConfigLoadFlags flags,
      GError** error
    )

#### Description [src]

Loads the configuration files from all possible locations.

Available since: | 1.9.1

#### Parameters

`flags` | `FuConfigLoadFlags`
| Some `FuConfigLoadFlags`, typically `FU_CONFIG_LOAD_FLAG_NONE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.